## systemtap 4.2

=== debian/changelog ===
systemtap (4.2-3ubuntu0.1) focal; urgency=medium

  * d/p/dtrace-predictable-tmp-file.patch:
    Cherry-pick fix from upstream to avoid a race condition due to
    use of a predictable temporary file name. (LP: #1962785).

 -- dann frazier <dannf@ubuntu.com>  Wed, 16 Mar 2022 14:04:27 -0600

systemtap (4.2-3) unstable; urgency=medium

  * autopkgtest: do not assume architecture is amd64
  * Add debian/gbp.conf to use pristine-tar by default
  * Set Standards-Version to 4.4.1

 -- Emanuele Rocca <ema@debian.org>  Mon, 17 Feb 2020 12:01:11 +0100

systemtap (4.2-2) unstable; urgency=medium

  * Add upstream patch debian/patches/fallback-comment-gcc-9.diff to fix
    unwind related functions such as print_ubacktrace with GCC 9. See:
    http://paste.debian.net/1130708/
  * Add upstream patch fix-autoconf-stack-trace-strict-prototypes.diff to fix
    ustack, ubacktrace on Linux >= 5.3. See:
    https://sourceware.org/bugzilla/show_bug.cgi?id=25265
  * Take over maintenance from Ritesh. Thanks!

 -- Emanuele Rocca <ema@debian.org>  Sat, 15 Feb 2020 13:50:37 +0100

systemtap (4.2-1) unstable; urgency=low

  * New upstream release
  * Drop the following patches shipped in 4.2:
    - da2a89d syscalls.xmlpart-tbody.patch
    - 79d0c97 check_task_work_cancel_exportedness.patch
    - 910acbe vsprintf-fallthru.patch

 -- Emanuele Rocca <ema@debian.org>  Sat, 07 Dec 2019 23:23:30 +0100

systemtap (4.1-11) unstable; urgency=high

  * Add upstream patch debian/patches/vsprintf-fallthru.patch to satisfy gcc
    9's -Wimplicit-fallthrough. (Closes: #943876)

 -- Emanuele Rocca <ema@debian.org>  Thu, 31 Oct 2019 11:15:18 +0100

systemtap (4.1-10) unstable; urgency=medium

  * Add check_task_work_cancel_exportedness.patch from upstream to fix the
    following pass 4 error with user space probes on Linux > 5:
    ERROR: "task_work_cancel" [/tmp/[...].ko] undefined!

 -- Emanuele Rocca <ema@debian.org>  Sun, 20 Oct 2019 17:38:13 +0200

systemtap (4.1-9) unstable; urgency=medium

  * tests: in case multiple linux-headers-amd64 versions are available, use the
    one which is installed.

 -- Emanuele Rocca <ema@debian.org>  Tue, 20 Aug 2019 07:08:45 +0200

=== debian/control ===
Source: systemtap
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Emanuele Rocca <ema@debian.org>
Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>,
           Vincent Bernat <bernat@debian.org>,
           Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper (>= 12),
               gettext (>= 0.19.4),
               libelf-dev (>= 0.148),
               libdw-dev (>= 0.148),
               libsqlite3-dev,
               texlive-latex-base,
               texlive-latex-recommended,
               texlive-latex-extra,
               texlive-fonts-recommended,
               libnss3-dev,
               libnspr4-dev,
               pkg-config,
               libnss3-tools,
               xmlto,
               python3-lxml,
               latex2html,
               libavahi-client-dev
Standards-Version: 4.4.1
Homepage: http://sourceware.org/systemtap/
Vcs-Git: https://salsa.debian.org/debian/systemtap.git
Vcs-Browser: https://salsa.debian.org/debian/systemtap.git

Package: systemtap
Architecture: linux-any
Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 systemtap-common (= ${source:Version}), make, lsb-release
Suggests: systemtap-doc, vim-addon-manager
Description: instrumentation system for Linux
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.
 This assists diagnosis of a performance or functional problem.
 SystemTap eliminates the need for the developer to go through the
 tedious and disruptive instrument, recompile, install, and reboot
 sequence that may be otherwise required to collect data.
 .
 SystemTap provides a simple command line interface and scripting
 language for writing instrumentation for a live running system.

Package: systemtap-common
Architecture: all
Replaces: systemtap (<< 0.0.20081220-1), systemtap-grapher (<< 2.1-1~experimental1~try1)
Breaks: systemtap (<< 0.0.20081220-1), systemtap-grapher (<< 2.1-1~experimental1~try1)
Depends: ${misc:Depends}
Recommends: systemtap
Description: instrumentation system for Linux (common component)
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.
 .
 To be able to write new SystemTap probes, install systemtap package.
 .
 This package contains the common files

Package: systemtap-runtime
Replaces: systemtap (<< 0.0.20081220-1)
Breaks: systemtap (<< 0.0.20081220-1)
Suggests: systemtap
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: instrumentation system for Linux (runtime component)
 This package contains staprun program that can be used to run
 compiled SystemTap probes.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.
 .
 To be able to write new SystemTap probes, install systemtap package.

Package: systemtap-doc
Architecture: all
Section: doc
Suggests: doc-base, systemtap
Depends: ${misc:Depends}
Breaks: systemtap (<< 0.0.20081220-1)
Replaces: systemtap (<< 0.0.20081220-1)
Description: documentation and examples for SystemTap
 This package contains examples and documentation for SystemTap.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.

Package: systemtap-server
Architecture: linux-any
Depends: libnss3-tools, avahi-utils, unzip, zip, systemtap (= ${binary:Version}),
 systemtap-client (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 net-tools
Breaks: systemtap-client (<< 0.0.20090523~)
Replaces: systemtap-client (<< 0.0.20090523~)
Description: instrumentation system for Linux (compile server)
 This package contains compile server for SystemTap. It can be used
 together with systemtap client to compile probes on a remote machine.
 Probes will be compiled by the server on request of remote clients.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.

Package: systemtap-client
Architecture: linux-any
Depends: avahi-utils, unzip, zip, dnsutils, systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: systemtap-server
Description: instrumentation system for Linux (client for compile server)
 This package contains client for SystemTap compile server. It can be
 used to compile probes on a remote machine running systemtap-server.
 This client can be run on a machine without full kernel debug information
 and development environment required for 'systemtap' package.
 .
 If you only want to compile systemtap probes locally just install
 'systemtap'  package.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.

Package: systemtap-sdt-dev
Architecture: any
Depends: ${misc:Depends}, python3:any
Description: statically defined probes development files
 This package contains header file and executable (dtrace) that
 can be used to add static probes into userspace applications
 for use with SystemTap.
 .
 SystemTap provides infrastructure to simplify the gathering of
 information about the running Linux system.
 .
 To be able to write new SystemTap probes, install systemtap package.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://sourceware.org/systemtap/ftp/releases/ systemtap-(.*)\.tar.gz

## systemtap 4.3

=== debian/changelog ===
systemtap (4.3-2+hurd.1) unreleased; urgency=medium

  [ Svante Signell ]
  * Fix build on non-linux

 -- Samuel Thibault <sthibault@debian.org>  Sat, 19 Sep 2020 21:06:19 +0000

systemtap (4.3-2) unstable; urgency=medium

  * Add debian/patches/rlim_t.patch to fix FTBFS: bad rlim_t
    assumptions. Thank you Thorsten Glaser! (Closes: #968327)
  * Drop debian/patches/fix-emacs24.diff. Installing systemtap-common
    and then emacs-nox 1:26.3+1-2 (currently in sid) works fine without this
    patch.

 -- Emanuele Rocca <ema@debian.org>  Sat, 15 Aug 2020 13:12:27 +0200

systemtap (4.3-1) unstable; urgency=medium

  * New upstream release
    - Drop patches fallback-comment-gcc-9.diff and
      fix-autoconf-stack-trace-strict-prototypes.diff, added upstream
    - Update systemtap-ia64.patch to pass PROVIDER to STAP_PROBE2 instead of
      HelperSDT
  * debian/watch: use https and uupdate

 -- Emanuele Rocca <ema@debian.org>  Fri, 12 Jun 2020 11:53:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: systemtap
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Emanuele Rocca <ema@debian.org>
+Maintainer: Emanuele Rocca <ema@debian.org>
 Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>,
            Vincent Bernat <bernat@debian.org>,
            Ritesh Raj Sarraf <rrs@debian.org>
@@ -21,7 +20,7 @@
                libnss3-tools,
                xmlto,
                python3-lxml,
-               latex2html,
+#               latex2html,
                libavahi-client-dev
 Standards-Version: 4.4.1
 Homepage: http://sourceware.org/systemtap/

=== debian/rules ===
#!/usr/bin/make -f

VIM_ADIR = $(CURDIR)/debian/tmp/usr/share/vim/addons
VIM_RDIR = $(CURDIR)/debian/tmp/usr/share/vim/registry

EMACS_ADIR = $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/systemtap-common

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifeq (linux,$(DEB_HOST_ARCH_OS))
	ENABLE_SERVER =--enable-server
	BUILD_STAPRUN=--with-staprun
	BUILD_STAP=--with-stap
	ENABLE_TRANSLATOR =--enable-translator
else
	ENABLE_SERVER =--disable-server
	BUILD_STAPRUN=--without-staprun
	BUILD_STAP=--without-stap
	ENABLE_TRANSLATOR =--disable-translator
endif

CONF_FLAGS = --enable-sqlite --disable-crash --disable-pie \
	     --enable-docs --enable-htmldocs --enable-refdocs \
	     $(ENABLE_SERVER) $(BUILD_STAPRUN) $(BUILD_STAP) \
	     --without-rpm --disable-silent-rules \
	     $(ENABLE_TRANSLATOR) --disable-publican --with-python3 \
	     --libexecdir=/usr/lib $(shell dpkg-buildflags --export=configure)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Building of man pages takes A LOT of time
ifeq (,$(filter stap_disable_refdocs,$(DEB_BUILD_OPTIONS)))
	CONF_FLAGS += --enable-refdocs
else
	CONF_FLAGS += --disable-refdocs
endif

ifeq (,$(filter systemtap-runtime,$(shell dh_listpackages -a)))
  sdt_only := yes
endif

%:
	dh $@ --with autoreconf

override_dh_auto_test:
	# Tests cannot be run during build, see #526957

override_dh_auto_configure:
	dh_auto_configure -- $(CONF_FLAGS)

override_dh_auto_install:
	dh_auto_install

	# Install vim files
	install -m 644 -D vim/ftdetect/stp.vim $(VIM_ADIR)/ftdetect/stp.vim
	install -m 644 -D vim/ftplugin/stp.vim $(VIM_ADIR)/ftplugin/stp.vim
	install -m 644 -D vim/indent/stp.vim $(VIM_ADIR)/indent/stp.vim
	install -m 644 -D vim/syntax/stp.vim $(VIM_ADIR)/syntax/stp.vim
	install -m 644 -D $(CURDIR)/debian/systemtap.yaml $(VIM_RDIR)/systemtap.yaml

	# Install emacs files
	install -m 644 -D emacs/systemtap-init.el $(EMACS_ADIR)/systemtap-init.el
	install -m 644 -D emacs/systemtap-mode.el $(EMACS_ADIR)/systemtap-mode.el

	# Install stap-prep
	install -D stap-prep $(CURDIR)/debian/tmp/usr/bin/stap-prep

	# Make all examples not executable. Some of them could be, but
	# this is not consistently enforced.
	find debian/tmp/usr/share/doc/systemtap*/examples/ -type f -executable | xargs --no-run-if-empty chmod -x

	# Remove empty file to make lintian happy, patch sent to xmlto upstream
	rm -f debian/tmp/usr/share/doc/systemtap/tapsets/tapsets.proc

override_dh_install:
	dh_install
ifeq ($(sdt_only),yes)
	install -m 755 -D dtrace debian/systemtap-sdt-dev/usr/bin/dtrace
	install -m 644 -D man/dtrace.1 debian/systemtap-sdt-dev/usr/share/man/man1/dtrace.1
	mkdir -p debian/systemtap-sdt-dev/usr/include/$(DEB_HOST_MULTIARCH)/sys
	install -m 644 includes/sys/*.h \
		debian/systemtap-sdt-dev/usr/include/$(DEB_HOST_MULTIARCH)/sys/.
else
	mkdir -p debian/systemtap-sdt-dev/usr/include/$(DEB_HOST_MULTIARCH)
	mv debian/systemtap-sdt-dev/usr/include/sys \
		debian/systemtap-sdt-dev/usr/include/$(DEB_HOST_MULTIARCH)/.
endif

override_dh_compress:
	dh_compress -X.stp -X.wav -Xsocktop -Xsyscalltimes -X.pdf

override_dh_fixperms:
	dh_fixperms
ifneq ($(sdt_only),yes)
	chmod 4754 debian/systemtap-runtime/usr/bin/staprun
endif

## systemtap 4.4

=== debian/changelog ===
systemtap (4.4-2) unstable; urgency=medium

  * Add debian/patches/STAPCONF_LOCKDOWN_DEBUGFS.diff (Closes: #976634)

 -- Emanuele Rocca <ema@debian.org>  Fri, 11 Dec 2020 13:57:23 +0100

systemtap (4.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/get-user-pages-remote.patch added in 4.3-4 and now
    included upstream.
  * Drop debian/patches/vermagic-hiding.patch and
    debian/patches/mmap_sem-transition.patch added in 4.3-3 and now included
    upstream.
  * Drop debian/patches/rlim_t.patch added in 4.3-2 and now included upstream.
  * Update debian/patches/stap-prep.patch.

 -- Emanuele Rocca <ema@debian.org>  Wed, 18 Nov 2020 14:39:13 +0100

systemtap (4.3-4) unstable; urgency=medium

  * Add debian/patches/get-user-pages-remote.patch to ensure compatibility with
    5.9 kernels.
  * Install /usr/bin/stap-report, stap-report(1), stapref(1), stapsh(8), and
    systemtap-service(8).
  * Ship Czech man pages with systemtap-doc.

 -- Emanuele Rocca <ema@debian.org>  Wed, 28 Oct 2020 14:45:31 +0100

systemtap (4.3-3) unstable; urgency=high

  * Add debian/patches/mmap_sem-transition.patch to fix stap error: ‘struct
    mm_struct’ has no member named ‘mmap_sem’. (Closes: #972247)
  * Add debian/patches/vermagic-hiding.patch to fix stap error: 'This header
    can be included from kernel/module.c or *.mod.c only'
  * Set architecture of binary packages to linux-any. (Closes: #969968)
  * Add FORCE_SOURCE_DATE to debian/rules. (Closes: #961830)
  * Use salsa-ci-team/pipeline/raw/master/recipes/debian.yml instead of
    salsa-ci-team/pipeline/raw/master/salsa-ci.yml in our own salsa-ci.yml
    configuration to fix CI pipeline error: undefined dependency:
    extract-source.

 -- Emanuele Rocca <ema@debian.org>  Thu, 15 Oct 2020 11:06:19 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libnss3-tools,
                xmlto,
                python3-lxml,
-#               latex2html,
+               latex2html,
                libavahi-client-dev
 Standards-Version: 4.4.1
 Homepage: http://sourceware.org/systemtap/
@@ -30,7 +30,7 @@
 Package: systemtap
 Architecture: linux-any
 Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
- systemtap-common (= ${source:Version}), make, lsb-release
+ systemtap-common (= ${binary:Version}), make, lsb-release
 Suggests: systemtap-doc, vim-addon-manager
 Description: instrumentation system for Linux
  SystemTap provides infrastructure to simplify the gathering of
@@ -44,7 +44,7 @@
  language for writing instrumentation for a live running system.
 
 Package: systemtap-common
-Architecture: all
+Architecture: linux-any
 Replaces: systemtap (<< 0.0.20081220-1), systemtap-grapher (<< 2.1-1~experimental1~try1)
 Breaks: systemtap (<< 0.0.20081220-1), systemtap-grapher (<< 2.1-1~experimental1~try1)
 Depends: ${misc:Depends}
@@ -73,7 +73,7 @@
  To be able to write new SystemTap probes, install systemtap package.
 
 Package: systemtap-doc
-Architecture: all
+Architecture: linux-any
 Section: doc
 Suggests: doc-base, systemtap
 Depends: ${misc:Depends}
@@ -117,7 +117,7 @@
  information about the running Linux system.
 
 Package: systemtap-sdt-dev
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, python3:any
 Description: statically defined probes development files
  This package contains header file and executable (dtrace) that

=== debian/rules ===
--- 
+++ 
@@ -5,24 +5,10 @@
 
 EMACS_ADIR = $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/systemtap-common
 
-DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-ifeq (linux,$(DEB_HOST_ARCH_OS))
-	ENABLE_SERVER =--enable-server
-	BUILD_STAPRUN=--with-staprun
-	BUILD_STAP=--with-stap
-	ENABLE_TRANSLATOR =--enable-translator
-else
-	ENABLE_SERVER =--disable-server
-	BUILD_STAPRUN=--without-staprun
-	BUILD_STAP=--without-stap
-	ENABLE_TRANSLATOR =--disable-translator
-endif
-
 CONF_FLAGS = --enable-sqlite --disable-crash --disable-pie \
 	     --enable-docs --enable-htmldocs --enable-refdocs \
-	     $(ENABLE_SERVER) $(BUILD_STAPRUN) $(BUILD_STAP) \
-	     --without-rpm --disable-silent-rules \
-	     $(ENABLE_TRANSLATOR) --disable-publican --with-python3 \
+	     --enable-server --without-rpm --disable-silent-rules \
+	     --enable-translator --disable-publican --with-python3 \
 	     --libexecdir=/usr/lib $(shell dpkg-buildflags --export=configure)
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -37,6 +23,8 @@
 ifeq (,$(filter systemtap-runtime,$(shell dh_listpackages -a)))
   sdt_only := yes
 endif
+
+export FORCE_SOURCE_DATE=1
 
 %:
 	dh $@ --with autoreconf

## systemtap 4.5

=== debian/changelog ===
systemtap (4.5-2) unstable; urgency=medium

  * Upload to unstable.
  * Make systemtap-sdt-dev Multi-Arch: same. Thanks, Antonio Terceiro.
    (Closes: #983484)

 -- Emanuele Rocca <ema@debian.org>  Fri, 27 Aug 2021 15:33:24 +0200

systemtap (4.5-1) experimental; urgency=medium

  * New upstream release. Upload to experimental as this is not meant for
    bullseye. (Closes: #988648)
  * Drop patch debian/patches/STAPCONF_LOCKDOWN_DEBUGFS.diff, applied
    upstream.

 -- Emanuele Rocca <ema@debian.org>  Fri, 21 May 2021 14:57:59 +0200

=== debian/control ===
--- 
+++ 
@@ -118,6 +118,7 @@
 
 Package: systemtap-sdt-dev
 Architecture: linux-any
+Multi-Arch: same
 Depends: ${misc:Depends}, python3:any
 Description: statically defined probes development files
  This package contains header file and executable (dtrace) that

## systemtap 4.6

=== debian/changelog ===
systemtap (4.6-2) unstable; urgency=medium

  * Add dtrace-predictable-tmp-file.patch to use hash-based scheme for
    predictable file generation in dtrace. (Closes: #1006703)
    Thanks dann frazier for the patch!

 -- Emanuele Rocca <ema@debian.org>  Fri, 11 Mar 2022 17:29:24 +0100

systemtap (4.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh systemtap-ia64.patch.
  * Set debhelper compatibility level to 13.
  * Set Standards-Version to 4.6.0.

 -- Emanuele Rocca <ema@debian.org>  Thu, 18 Nov 2021 16:18:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>,
            Vincent Bernat <bernat@debian.org>,
            Ritesh Raj Sarraf <rrs@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper (>= 13),
                gettext (>= 0.19.4),
                libelf-dev (>= 0.148),
                libdw-dev (>= 0.148),
@@ -22,7 +22,7 @@
                python3-lxml,
                latex2html,
                libavahi-client-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: http://sourceware.org/systemtap/
 Vcs-Git: https://salsa.debian.org/debian/systemtap.git
 Vcs-Browser: https://salsa.debian.org/debian/systemtap.git

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://sourceware.org/systemtap/ftp/releases/ systemtap-(.*)\.tar.gz debian uupdate

## systemtap 4.7

=== debian/changelog ===
systemtap (4.7-1) unstable; urgency=medium

  * New upstream version, fixes FTBFS with GCC-12. (Closes: #1013048)
    See https://sourceware.org/git/?p=systemtap.git;a=commit;h=56c498d
  * Ship new executable: stap-profile-annotate(1).
  * Drop patch dtrace-predictable-tmp-file.patch, applied upstream.
  * Update debian/patches/systemtap-ia64.patch.

 -- Emanuele Rocca <ema@debian.org>  Sat, 18 Jun 2022 12:47:33 +0200

## systemtap 4.8

=== debian/changelog ===
systemtap (4.8-2) unstable; urgency=medium

  * Add d/patches/dtrace-deterministic-tmpfile.diff by Gioele Barabucci to
    ensure dtrace produces reproducible object files. The patch has been merged
    upstream already. Thanks Gioele! (Closes: #1032056)
  * Add autopkgtest d/tests/dtrace-reproducible to verify that the above works
    as advertised.
  * Refresh d/patches.

 -- Emanuele Rocca <ema@debian.org>  Tue, 28 Feb 2023 21:45:06 +0100

systemtap (4.8-1) unstable; urgency=medium

  * New upstream release.
  * Fix url in debian/watch.
  * Add dependency on python3 for stap-profile-annotate.
  * Update systemtap-doc.lintian-overrides to match lintian output with
    brackets. Add a wrong-path-for-interpreter override for cve-2011-4127.stp
    as it is only an example.
  * Remove obsolete lintian override for setuid-binary usr/bin/staprun.
  * Add lintian override for HTML files false positive: source-is-missing.

 -- Emanuele Rocca <ema@debian.org>  Fri, 06 Jan 2023 20:25:17 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 Package: systemtap
 Architecture: linux-any
 Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
- systemtap-common (= ${binary:Version}), make, lsb-release
+ systemtap-common (= ${binary:Version}), make, lsb-release, python3
 Suggests: systemtap-doc, vim-addon-manager
 Description: instrumentation system for Linux
  SystemTap provides infrastructure to simplify the gathering of

=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,9 @@
 	# Install stap-prep
 	install -D stap-prep $(CURDIR)/debian/tmp/usr/bin/stap-prep
 
+	# Install man page for stap-profile-annotate
+	install -m 644 -D man/stap-profile-annotate.1.in debian/tmp/usr/share/man/man1/stap-profile-annotate.1
+
 	# Make all examples not executable. Some of them could be, but
 	# this is not consistently enforced.
 	find debian/tmp/usr/share/doc/systemtap*/examples/ -type f -executable | xargs --no-run-if-empty chmod -x

=== debian/tests/control ===
Tests: dtrace-reproducible
Depends: systemtap-sdt-dev, binutils, diffutils, cpp, gcc

Tests: stap-prep
Depends: systemtap, apt-utils
Restrictions: needs-root isolation-machine

Tests: upstream-testsuite
Depends: systemtap, systemtap-sdt-dev, dejagnu, libnss3-dev, libnspr4-dev
Restrictions: needs-root rw-build-tree flaky isolation-machine

Tests: build-hello
Depends: systemtap
Restrictions: rw-build-tree allow-stderr needs-root

Tests: list-coreutils-probe-points
Depends: systemtap, coreutils-dbgsym
Restrictions: needs-root

## systemtap 4.9

=== debian/changelog ===
systemtap (4.9-1) unstable; urgency=medium

  * New upstream release.
  * stap-prep: fix kernel version number parsing. (Closes: #1040480)
  * Drop d/patches/dtrace-deterministic-tmpfile.diff, applied upstream.
  * Add d/patches/include-cstdint.diff.
  * Do not ship jupyter files.
  * Refresh d/patches.

 -- Emanuele Rocca <ema@debian.org>  Fri, 14 Jul 2023 19:49:33 +0200

## systemtap 5.0

=== debian/changelog ===
systemtap (5.0-2ubuntu1) noble; urgency=medium

  * Disable LTO to fix build failure.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 14 Apr 2024 06:09:01 +0000

systemtap (5.0-2build1) noble; urgency=medium

  * No-change rebuild against libelf1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Mar 2024 01:04:44 +0000

systemtap (5.0-2) unstable; urgency=medium

  * Build with g++-12 to workaround FTBFS with g++-13 on i386, ppc64el,
    riscv64 (see #1057205).

 -- Emanuele Rocca <ema@debian.org>  Sun, 03 Dec 2023 20:14:50 +0100

systemtap (5.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1055418)
  * Drop d/patches/include-cstdint.diff, applied upstream.
  * Add build-dependency on libdebuginfod-dev.

 -- Emanuele Rocca <ema@debian.org>  Fri, 01 Dec 2023 11:50:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: systemtap
 Section: devel
 Priority: optional
-Maintainer: Emanuele Rocca <ema@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Emanuele Rocca <ema@debian.org>
 Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>,
            Vincent Bernat <bernat@debian.org>,
            Ritesh Raj Sarraf <rrs@debian.org>
@@ -9,6 +10,7 @@
                gettext (>= 0.19.4),
                libelf-dev (>= 0.148),
                libdw-dev (>= 0.148),
+               libdebuginfod-dev,
                libsqlite3-dev,
                texlive-latex-base,
                texlive-latex-recommended,
@@ -21,7 +23,8 @@
                xmlto,
                python3-lxml,
                latex2html,
-               libavahi-client-dev
+               libavahi-client-dev,
+               g++-12
 Standards-Version: 4.6.0
 Homepage: http://sourceware.org/systemtap/
 Vcs-Git: https://salsa.debian.org/debian/systemtap.git

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
 
 VIM_ADIR = $(CURDIR)/debian/tmp/usr/share/vim/addons
 VIM_RDIR = $(CURDIR)/debian/tmp/usr/share/vim/registry
@@ -33,7 +35,8 @@
 	# Tests cannot be run during build, see #526957
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(CONF_FLAGS)
+	# Build with g++-12 (see #1057205)
+	dh_auto_configure -- CXX=g++-12 $(CONF_FLAGS)
 
 override_dh_auto_install:
 	dh_auto_install
@@ -62,6 +65,9 @@
 	# Remove empty file to make lintian happy, patch sent to xmlto upstream
 	rm -f debian/tmp/usr/share/doc/systemtap/tapsets/tapsets.proc
 
+	# Don't ship jupyter files
+	rm -rf debian/tmp/usr/bin/stap-jupyter-container debian/tmp/usr/bin/stap-jupyter-install debian/tmp/usr/share/systemtap/interactive-notebook/
+
 override_dh_install:
 	dh_install
 ifeq ($(sdt_only),yes)

## systemtap 5.1

=== debian/changelog ===
systemtap (5.1-5) unstable; urgency=medium

  * Add upstream patch move-unaligned.patch for Linux kernels >= 6.12
    (Closes: #1108541)

 -- Emanuele Rocca <ema@debian.org>  Tue, 01 Jul 2025 15:52:26 +0200

systemtap (5.1-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop .git from Vcs-Browser URL
  * Depend on bind9-dnsutils (Closes: #1094952)

 -- Bastian Germann <bage@debian.org>  Fri, 28 Feb 2025 21:20:54 +0100

systemtap (5.1-4) unstable; urgency=medium

  * Do not fail autopkgtests due to apt-get's output to stderr
    in build-hello and list-coreutils-probe-points autopkgtests.

 -- Emanuele Rocca <ema@debian.org>  Tue, 20 Aug 2024 20:55:07 +0200

systemtap (5.1-3) unstable; urgency=medium

  * Install coreutils debugging symbols in list-coreutils-probe-points
    autopkgtest.
  * Drop "allow-stderr" from build-hello autopkgtest.

 -- Emanuele Rocca <ema@debian.org>  Thu, 15 Aug 2024 17:15:03 +0200

systemtap (5.1-2) unstable; urgency=medium

  * Add upstream patches vmalloc-linux-6.10.patch,
    stp_task_work-6.10.patch, old-style-declaration-stap-probes.patch and
    error-empty-body-debug-macros.patch to fix runtime issues with Linux 6.10.
    (Closes: #1078683)
  * Add d/patches/debian-debug-system-map.patch to open System.map file shipped
    by -dbg package instead of /boot/System.map-$version.

 -- Emanuele Rocca <ema@debian.org>  Wed, 14 Aug 2024 12:38:08 +0200

systemtap (5.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1075549)
  * Add upstream patch d/patches/symresolution-no-dangling.diff to fix FTBFS on
    various architectures. Building with g++-12 is not needed anymore.
    (Closes: #1057205)

 -- Emanuele Rocca <ema@debian.org>  Wed, 03 Jul 2024 16:05:57 +0200

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://sourceware.org/ftp/systemtap/releases/ systemtap-(.*)\.tar.gz debian uupdate

## systemtap 5.3

=== interactive-notebook/requirements.txt ===
# NB: The ipykernel version is frozen since later versions cause the buttons and other
# clickable/typeable inputs to stop working. Exactly why is unclear, but since isystemtap
# is a child of the ipykernel anyways and older version won't hurt unless we also upgrade
# want a newer kernel feature. So its not a big issue
ipykernel==6.15.2    # The base ipython kernel, which the isystemtap kernel inherits from 
bqplot              # A matplotlib like library, but based on ipywidgets
ipyevents           # Event widget, used for certain user actions (ex. keyboard input)
jupyter-ui-poll     # Used for polling of user events, while cells are running
ipywidgets==8.0.4   # The widgets which are generated in the output of the cells. NB: we freeze the version since 8.0.5 introduced a bug, this can be unfrozen when this is fixed
jupyter_kernel_test # A dependency of the testsuite
jupyterlab          # The frontend
jupyterlab-lsp      # The language-server client extension

=== debian/changelog ===
systemtap (5.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop symresolution-no-dangling.diff, applied upstream
  * Drop vmalloc-linux-6.10.patch, applied upstream
  * Drop stp_task_work-6.10.patch, applied upstream
  * Drop error-empty-body-debug-macros.patch, applied upstream
  * Drop old-style-declaration-stap-probes.patch, applied upstream
  * Build depend on libboost-thread-dev
  * Drop previous maintainers from Uploaders
  * Add upstream patch lookup_one_len.patch
  * Add upstream patch sched_process_exit.patch
  * Depend on debuginfod
  * d/tests/build-hello: check presence of hello.ko, ignore warnings
  * Orphaning package.

 -- Emanuele Rocca <ema@debian.org>  Tue, 09 Sep 2025 12:48:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,7 @@
 Source: systemtap
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Emanuele Rocca <ema@debian.org>
-Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>,
-           Vincent Bernat <bernat@debian.org>,
-           Ritesh Raj Sarraf <rrs@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 13),
                gettext (>= 0.19.4),
                libelf-dev (>= 0.148),
@@ -16,6 +12,7 @@
                texlive-latex-recommended,
                texlive-latex-extra,
                texlive-fonts-recommended,
+               libboost-thread-dev,
                libnss3-dev,
                libnspr4-dev,
                pkg-config,
@@ -23,17 +20,16 @@
                xmlto,
                python3-lxml,
                latex2html,
-               libavahi-client-dev,
-               g++-12
+               libavahi-client-dev
 Standards-Version: 4.6.0
 Homepage: http://sourceware.org/systemtap/
 Vcs-Git: https://salsa.debian.org/debian/systemtap.git
-Vcs-Browser: https://salsa.debian.org/debian/systemtap.git
+Vcs-Browser: https://salsa.debian.org/debian/systemtap
 
 Package: systemtap
 Architecture: linux-any
 Depends: systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
- systemtap-common (= ${binary:Version}), make, lsb-release, python3
+ systemtap-common (= ${binary:Version}), make, lsb-release, python3, debuginfod
 Suggests: systemtap-doc, vim-addon-manager
 Description: instrumentation system for Linux
  SystemTap provides infrastructure to simplify the gathering of
@@ -105,7 +101,7 @@
 
 Package: systemtap-client
 Architecture: linux-any
-Depends: avahi-utils, unzip, zip, dnsutils, systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: avahi-utils, unzip, zip, bind9-dnsutils, systemtap-runtime (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: systemtap-server
 Description: instrumentation system for Linux (client for compile server)
  This package contains client for SystemTap compile server. It can be

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
 
 VIM_ADIR = $(CURDIR)/debian/tmp/usr/share/vim/addons
 VIM_RDIR = $(CURDIR)/debian/tmp/usr/share/vim/registry
@@ -35,8 +33,7 @@
 	# Tests cannot be run during build, see #526957
 
 override_dh_auto_configure:
-	# Build with g++-12 (see #1057205)
-	dh_auto_configure -- CXX=g++-12 $(CONF_FLAGS)
+	dh_auto_configure -- $(CONF_FLAGS)
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
 
 Tests: build-hello
 Depends: systemtap
-Restrictions: rw-build-tree allow-stderr needs-root
+Restrictions: rw-build-tree needs-root
 
 Tests: list-coreutils-probe-points
-Depends: systemtap, coreutils-dbgsym
+Depends: systemtap
 Restrictions: needs-root
